<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/12/2004 *
 * ================                             Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-admins_add.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add new administrator account                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neues Administrator-Account anlegen              *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

global $cacheInstance;

// Display form is default
$FORM = true;

if ((isset($_POST['add'])) && (!empty($_POST['login'])) && (!empty($_POST['email'])) && (!empty($_POST['pass1'])) && (!empty($_POST['pass2'])) && ($_POST['pass1'] == $_POST['pass2'])) {
	// Add admin when not added already
	$result = SQL_QUERY_ESC("SELECT id FROM "._MYSQL_PREFIX."_admins WHERE login='%s' LIMIT 1",
		array($_POST['login']), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0) {
		// Login does not exist so we can create it.
		$FORM = false;
		$result = SQL_QUERY_ESC("INSERT INTO "._MYSQL_PREFIX."_admins (login, password, email) VALUES ('%s','%s','%s')",
		 array($_POST['login'], generateHash($_POST['pass1']), $_POST['email']), __FILE__, __LINE__);

		// Admin login saved
		LOAD_TEMPLATE("admin_settings_saved", false, "<FONT class=\"admin_done\">".ADMIN_ADMINS_ADD_DONE."</FONT>");

		// Remove cache file
		if (EXT_IS_ACTIVE("cache")) {
			if ($cacheInstance->loadCacheFile("admins")) $cacheInstance->destroyCacheFile();
		}
	} else {
		// Free memory
		SQL_FREERESULT($result);
	}
}

if ($FORM) {
	// Clear unset variables
	if (empty($_POST['login'])) $_POST['login'] = "";
	if (empty($_POST['email'])) $_POST['email'] = "";

	// Load form from template
	LOAD_TEMPLATE("admin_admins_add");
}
//
?>
